Figure - 0 O Dev #110710
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 MKO O FwO O SystemOptimizationd [ TC-RID: 1201-02051010
2022-07-25 17:08 - CD FW-0 O

Status: 0 O Closed Start date: 2022-07-25
Priority: Normal Due date:

Assignee: CDFW-0O 0O % Done: 100%
Category: Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V2.0_20220930

Description

mJ0don0:

gbooooooooobaonb
gboobooooooisood

m JOURLODODO
m [ 0Ocased 00O
e 00000000 0O0OOOOOO

History

#1 - 2022-08-04 19:44 - CD FW-O O
- Subject changed from O MK O 0510 OO0 SystemOptimization[] O TC-RID: 0301-020510100 to 00 MKO O 05100 O SystemOptimization [0 TC-RID: 1201-0205101
O

#2 - 2022-09-08 08:28 - CD FW-[I
- Subject changed from 0 MKO O 0510 O SystemOptimizationO O TC-RID: 1201-02051010 to O MKO O FWO O SystemOptimizationd O TC-RID: 1201-0205101
O

#3 - 2022-09-26 20:03 - CD FW-0O O

- Status changed from New to 0 O Closed
- Target version set to VX1_MCE_FSE_V2.0 20220930

FwoOooooooood

#4 - 2022-09-26 20:08 - CD FW-O O
- % Done changed from 0 to 100

#5 - 2022-12-22 20:21 - CD FW-0O O

Gerrit Merge Information]

1D Project Branch Uploader
141090 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
m/apps/app_rm -dev

FW:SystemOptimization: Remove unused appRemove unused appTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
11d8e833872bdddc6hbel1c35ffe25ab52f62340d
#6 - 2022-12-22 20:21 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

141091

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

FW:SystemOptimization: Remove unused appRemove unused appTC-RID: 1201-0205101lssuel D: TS-R-DF-110710Change-1d:
1717e7dab31596001f0612fal7a0ce0950d3d5567

#7 - 2022-12-22 20:22 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

141836

general/platform/vendor/thundercom

m/apps/app_rm

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

FW:SystemOptimization: Remove unused appRemove unused appTC-RID: 1201-0205101lssuelD: TS-R-DF-110710Change-Id:
1b367d24749e77e97057e15791994d84c9c0e046

#8 - 2022-12-22 20:22 - CD FW-0 O
Gerrit Merge Information(

1D

Project

Branch

Uploader

141837

general/vendor/thundercomm/produc
ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

FW:SystemOptimization: Remove unused appRemove unused appTC-RID: 1201-0205101lssuel D: TS-R-DF-110710Change-I1d:
18ddaee5a0fh21fb575840915bb1c93a5dc8701dd

#9 - 2022-12-22 20:24 - CD FW-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

143144

general/platform/vendor/thundercom

m/apps/app_rm

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

2025-07-04

2/26




AF:SystemOptimization:crop AF appl. crop QColor DisplayCutoutEmulationCornerOverlay DisplayCutoutEmulationDoubleOverlay colorservice
PresenceApp Protips SimAppDialog DisplayCutoutEmulationHoleOverlay DisplayCutoutEmulationTallOverlay Provision StatementService
CarrierDefaultApp Browser2 BlockedNumberProvider ConferenceDialerTC-RID: 1201-02051011ssuelD: TS-R-DF-110710Change-Id:
1d1b5db33bf063c179b36d14116db8a128569c6a4

#10 - 2022-12-22 20:25 - CD FwW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
143619 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
m/apps/app_rm -dev

FW:SystemOptimization: Un-Remove ProvisionProvision can't been remove,will cause quicksettings issueTC-RID: 1201-0205101Issuel D:
TS-R-DF-110710Change-Id: 115f47e04e3d43dfc1a64ef0055360e91a79f2819

#11 - 2022-12-22 20:25 - CD Fw-O O
Gerrit Merge Information(]

1D Project Branch Uploader
143633 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/app_rm -dev

FW:SystemOptimization: remove appl.remove can be use app_rm app,without AF appTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
1d2a9f067f173476d551fe663fa92368523ac2ba3

#12 - 2022-12-22 20:25 - CD Fw-0O O

Gerrit Merge Information]

1D Project Branch Uploader
143656 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
-dev

FW:SystemOptimization: Delete Tel featureDelete Tel featureTC-RID: 1201-0205101Issuel D: TS-R-DF-110710Change-1d:
leaccf77cf5b0a51da381025700a0c7d690089da6
#13 - 2022-12-22 20:25 - CD FW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
143657 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com
ts/figure r-dev

FW:SystemOptimization: Delete Tel featureDelete Tel featureTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
1e4b75159cf9762345f55h9e77d74f3c581dc6ee?

#14 - 2022-12-22 20:25 - CD Fw-O O
Gerrit Merge Information(

1D Project Branch Uploader
143658 general/device/gcom/common Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com
r-dev

FW:SystemOptimization: Delete camera feature and sip featureDelete camera feature and sip featureTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
1672ced614acfab675e10e63c3b106822ecd21af7

#15 - 2022-12-22 20:25 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
143662 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | wangwei0629@thundersoft.com
-dev

FW:SystemOptimization: Delete Tel featureDelete Tel featureTC-RID: 1201-0205101Issuel D: TS-R-DF-110710Change-1d:
1353f03be45ac1db99e2fh45c8fdf7cf2158e1403

#16 - 2022-12-22 20:25 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
143682 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
gs -dev

FW:SystemOptimization: Delete Tel featureDelete Tel featureTC-RID: 1201-0205101Issuel D: TS-R-DF-110710Change-1d:
16f388¢179d1000ec0586¢5¢cf7h2ef7825ca4dd71

#17 - 2022-12-22 20:25 - CD FwW-0 O
Gerrit Merge Information(

1D Project Branch Uploader
143684 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
gs -dev

FW:SystemOptimization: Fix crash after delete tel featureFix crash after delete tel featureTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
134b0a3444d82cd65e3a734944d6f53d115140911

#18 - 2022-12-22 20:25 - CD FW-0O O
Gerrit Merge Information(]

1D Project Branch Uploader
143706 general/platform/frameworks/native Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com
r-dev

FW:SystemOptimization: Delete camera featureDelete camera featureTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
16a0be78de2049¢0902386401c84d5d4047018170

#19 - 2022-12-22 20:25 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
143707 general/device/qcom/vendor-commo | Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com
n r-dev

FW:SystemOptimization: Delete camera feature and sipDelete camera feature and sipTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
10f35a8fffe8b845c948afeaalaf8bed103alac65

#20 - 2022-12-22 20:26 - CDFW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
143912 general/platform/vendor/nxp/opensou | Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com
rce/halimpl r-dev

FW:SystemOptimization: Delete NFC featureDelete NFCTC-RID: 1201-02051011ssuelD: TS-R-DF-110710Change-Id:
Idfal3aa4a894cabacflad12cebaad1d660011572

#21 - 2022-12-22 20:26 - CDFW-0 O

Gerrit Merge Information(]

2025-07-04 5/26



1D Project Branch Uploader
143976 general/LA.QSSI/LINUX/android/ven | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
dor/qcom/proprietary -dev

FW:SystemOptimization: remove appl.remove can be use app_rm app,without AF appTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
11bd8209120b19a8c7874c2e8e2258f0beb784ad2

#22 - 2022-12-22 20:26 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

143977

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

FW:SystemOptimization: remove fingerprintl.remove fingerprintTC-RID: 1201-02051011ssuelD: TS-R-DF-110710Change-1d:
1441f0f0320217deaae936599d51a67e978c6ab00

#23 - 2022-12-22 20:26 - CD FW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

144117

general/platform/vendor/thundercom

m/apps/app_rm

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangwei0629@thundersoft.com

FW:SystemOptimization: remove unused appl.remove unused appTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
1c9005a6¢84ac0ec50ee0d8h737a2c4cc92848d1f

#24 - 2022-12-22 20:26 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

144126

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

FW:SystemOptimization: remove QCC-TR-Ul1l.remove QCC-TR-UITC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
1f3fdbe9703bf0e6bfédbcaef92e54cd9b4bad36e

#25 - 2022-12-22 20:26 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-04
144129 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com

m/apps/app_rm r-dev

FW:SystemOptimization: Remove SSMEditorl.Remove SSMEditorTC-RID: 1201-0205101lssuelD: TS-R-DF-110710Change-Id:
1611f5d86c2df8fald253ab738ef4f90d0d0cc7b6

#26 - 2022-12-22 20:26 - CD FwW-O O
Gerrit Merge Information(]

1D Project Branch Uploader
144130 general/platform/build Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
-dev

FW:SystemOptimization: remove cameral.remove cameraTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
1954b8b1cded595b1efa7d2af9a49bbac4930bebb

#27 - 2022-12-22 20:26 - CD FwW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
144131 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com
m/proprietary r-dev

FW:SystemOptimization: remove cameral.remove cameraTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-I1d:
1da97f649476ddbacaf1563939df52b5c147e99fd

#28 - 2022-12-22 20:26 - CDFW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
144350 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com
m/proprietary r-dev

FW:SystemOptimization: remove cameral.remove cameraTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
164c3d91e4482c0f4feb601e275a7e0345c8bf76e

#29 - 2022-12-22 20:26 - CD Fw-O O
Gerrit Merge Information(]

1D Project Branch Uploader

144356 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | wangwei0629@thundersoft.com

2025-07-04 7126




m/proprietary

r-dev

FW:SystemOptimization: Drop light/step sensor featuresl.Drop light/step sensor featuresTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
147a4816519ee37e54ec153b4c3fdc9228258955f

#30 - 2023-05-31 15:12 - loT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

203770

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: Remove full screen promptTC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-Id:
1c79cdc520eb27063d0ca9646831f80e5e4122f87

#31 - 2023-06-12 21:43 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

205994

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

lukf0916@thundersoft.com

FW:SystemOptimization: set bg apps limit to 32TC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d: 16fd6666b7d53baf38cee547b827¢79319d4f3a4d

#32 - 2023-06-12 21:43 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

205805

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

lukf0916@thundersoft.com

FW:SystemOptimization: Keep only 3 tasksTC-RID: 1201-02051011ssuelD: TS-R-DF-110710Change-1d: 100521026bc2136¢c815aba8f5f0d135984176d20e

#33 - 2023-06-28 20:04 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

210875

general/platform/frameworks/native

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ca0qg0702@thundersoft.com

2025-07-04

FW:SystemOptimization: Add width validation to avoid crashing and restart caused by excessive width.The solution was provided by Qualcomm.TC-RID:

8/26




1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-35295Change-1d: 1e7c¢27588876249cd83373610e14aa748fc09chbe

#34 - 2023-06-30 16:46 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader

210856 general/platform/frameworks/native Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: Add width validation to avoid crashing and restart caused by excessive width.The solution was provided by Qualcomm.TC-RID:
1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-35295Change-1d: 1e7¢27588876249cd83373610e14aa748fc09cbbe(cherry picked from commit
402d5062fe4758ddbccd876ffdf311f8b49776ee)

#35 - 2023-07-05 19:20 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
212501 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

FW:SystemOptimization: Adding logging to print storage space information.TC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-I1d:
1ff1b2c0dd91873d2f3e861ffc7039b6606c2ce3a

#36 - 2023-07-06 19:43 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader

212794 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: Adding logging to print storage space information.TC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
1ff1b2c0dd91873d2f3e861ffc7039b6606c2ce3a(cherry picked from commit 9a7c6ab5a6f4261fe28181a8904f2dbel758ac73)

#37 - 2023-07-06 21:20 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
212691 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | lei.zheng@thundersoft.com
-dev

FW:SystemOptimization: Add timeout check for add splash screen. TC-RID: 1201-02051011ssuelD: TS-R-DF-110710, IOVDEV-35312Change-Id:
1799dcd92c5fh0d4ef0cd9dd47858a204a9fcf0al
#38 - 2023-07-06 21:26 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader

212963 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: Add timeout check for add splash screen. TC-RID: 1201-02051011ssuelD: TS-R-DF-110710, IOVDEV-35312Change-Id:
1799dcd92c5fh0d4ef0cd9dd47858a204a9fcf0a0(cherry picked from commit 6dal4a5ce316ef23621403fa02427ef5fc1030ef)

#39 - 2023-07-11 15:09 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
212769 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
-dev

FW:SystemOptimization: Fixing crash exceptions encountered during Monkey testing. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710, IOVDEV-36554,
I0VDEV-36556Change-Id: 15f4ff46a83404a32300aa8908e73cda1b998333d

#40 - 2023-07-13 20:14 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
214562 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com
-dev

AF: ScreenSaver: add log to analyze issueAdd logic to analyze dream] TC-RID: 1201-0300601IssuelD: TS-R-DF-110710, IOVISSUE-11573Change-Id:
1f164929a35227601495f69dfbb592317868cc2

#41 - 2023-07-13 21:46 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader

214741 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: Fixing crash exceptions encountered during Monkey testing. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710, IOVDEV-36554,
I0VDEV-36556Change-Id: 15f4ff46a83404a32300aa8908e73cdalb998333d(cherry picked from commit 350663df2f59837c6fccce061b314ac259702a42)

#42 - 2023-07-13 21:52 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader

214753 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF: ScreenSaver: add log to analyze issueAdd logic to analyze dream TC-RID: 1201-0300601IssuelD: TS-R-DF-110710, IOVISSUE-11573Change-Id:
1164929a352f27601495f69dfbb592317868cc2(cherry picked from commit 51f2e48065cc27a34a734f1¢30060c78db400503)

#43 - 2023-07-17 16:49 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
215349 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com
-dev

AF: MultiWindow: add log to analyze issueAdd logic to analyze motionevent(] TC-RID: 1201-0300601IssuelD: TS-R-DF-110710, IOVISSUE-12797Change-Id:
1218631c52ef75cdcecfe8700157fbclfcal8f976

#44 - 2023-07-19 14:09 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
215975 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

FW:SystemOptimization: Disable type Rhea logs. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVISSUE-12986Change-1d:
15d9b96¢6e489710d96¢1b65806f6b0bed4e6860c

#45 - 2023-07-19 16:19 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
215792 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
-dev

AF: MicroSettings:Hardening powermanager logsTC-RID: 1201-0206101lssuelD: TS-R-DF-110710, IOVDEV-37293Change-1d:
1639e4286b2c0adef0e4565586cd9958c9a374bea

#46 - 2023-07-19 23:54 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
216242 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF: MultiWindow: add log to analyze issueAdd logic to analyze motionevent(] TC-RID: 1201-0300601IssuelD: TS-R-DF-110710, IOVISSUE-12797Change-Id:
1218631c52ef75cdcecfe8700157fbclfcal8f976(cherry picked from commit 37a432ccd52525e3288d2a17dbc83d5867fc968)

#47 - 2023-07-20 23:25 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

216504 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: Disable type Rhea logs. TC-RID: 1201-02051011ssuelD: TS-R-DF-110710, IOVISSUE-12986Change-1d:
15d9b96c6e489710d96¢1b65806f6h0bed4e6860c(cherry picked from commit 12a89d469h18eaf0684b71d3c41aa01c96b9e808)

#48 - 2023-07-20 23:27 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader

216507 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-release_sorp

AF: MicroSettings:Hardening powermanager logsTC-RID: 1201-0206101IssuelD: TS-R-DF-110710, IOVDEV-37293Change-1d:
1639e4286b2c0adef0e4565586cd9958c9a374bea(cherry picked from commit 7b45c1feb45dcdled5d251f9b58ff2f14bf7ff6a)

#49 - 2023-07-25 09:56 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
217267 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com
-dev

FW:SystemOptimization: add log to analyze issueAdd logic to back gesture and back task. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710,
|I0VDEV-36491,I0VDEV-37409Change-Id: 16f5bfeb37baca7ad890f767fec64e8e8aa4684a9

#50 - 2023-07-25 09:56 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

2025-07-04 12/26




217271 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com

gs -dev

FW:SystemOptimization: add log to analyze issueAdd logic in onKeyDown to check the back task. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710,
I0VDEV-36491Change-Id: 1f3cbf0dae683391d2812f32129370a78f77cc50a

#51 - 2023-07-27 19:45 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
216121 general/platform/frameworks/native Pre_figure_turbox-c2130c-lal.1-gssil2 | wujun.wang@thundersoft.com
-dev

AF:MultiWindow: add intercept for douyinAdd logic to avoid check the douyin’s windpause state. TC-RID: 1201-03006011ssuelD: TS-R-DF-110710,
IOVISSUE-12797Change-1d: 10572da17fdd3d599c7826dfd37bb375cc51ch10a

#52 - 2023-07-27 23:41 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
218206 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

FW:SystemOptimization: add log to analyze issueAdd logic in onKeyDown to check the back task. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710,
I0VDEV-36491Change-1d: 1f3cbf0dae683391d2812f32129370a78f77cc50a(cherry picked from commit 9a9beaed3efadfdfece4af69088c282bf80h9827)

#53 - 2023-07-27 23:53 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader

218205 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: add log to analyze issueAdd logic to back gesture and back task. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710,
IOVDEV-36491,I0VDEV-37409Change-Id: 16f5hfeb37baca7ad890f767fec64e8e8aa4684a9(cherry picked from commit
0e3208b47f8ddch606993¢22d23bf830207d22¢9)

2025-07-04 13/26



#54 - 2023-08-01 18:37 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

216350

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

FW:SystemOptimization: cancel back gesture checkAdd logic to cancel the systemui flag check forback gesture. TC-RID: 1201-02051011IssuelD: TS-R-DF-110710,
IOVDEV-36162 IOVDEV-35744Change-1d: lade13e6fdd898876352c215e3fb7621b525b2d 78

#55 - 2023-08-01 22:12 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

219400

general/platform/frameworks/native

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: add intercept for douyinAdd logic to avoid check the douyin's windpause state. TC-RID: 1201-03006011ssuelD: TS-R-DF-110710,
I0OVISSUE-12797Change-1d: 10572dal7fdd3d599c7826dfd37bb375cc51ch10a(cherry picked from commit 6303d755324016ed0d06d371e24cf0al8c78fa46)

#56 - 2023-08-03 15:11 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

219232

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lukf0916@thundersoft.com

FW:SystemOptimization: add inactive time checkTC-RID: 1201-0205101IssuelD: TS-R-DF-110710,IO0VDEV-37783Change-Id:
1f2fb089d5e9c35df9030df4ald9edf02c53f2ea8

#57 - 2023-08-03 15:17 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

213391

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

FW:SystemOptimization: ime no showAdd logs to analyze issue. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-37272Change-Id:
1b33db232e9c4ad296ac009fb15c528ce4851h60d

2025-07-04

14/26




#58 - 2023-08-04 10:08 - 10T scm

Gerrit Merge Information(

1D Project

Branch

Uploader

300121 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

c47b096fdbeac91661f434284h51056b33565215)

FW:SystemOptimization: cancel back gesture checkAdd logic to cancel the systemui flag check forback gesture. TC-RID: 1201-02051011IssuelD: TS-R-DF-110710,
IOVDEV-36162 IOVDEV-35744Change-1d: lade13e6fdd898876352¢c215e3fb7621b525b2d78(cherry picked from commit

#59 - 2023-08-04 16:29 - 10T scm

Gerrit Merge Information(

1D Project

Branch

Uploader

300255 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:SystemOptimization:Close NotificationManagerService DEBUG when build as userTC-RID: 1201-0205101IssuelD:
TS-R-DF-110710,I0VDEV-37652Change-1d: 11bde7752cdbc82202a47a3acfc272e9af1376686

#60 - 2023-08-04 17:53 - loT scm
Gerrit Merge Information(]

1D Project

Branch

Uploader

300365 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wujun.wang@thundersoft.com

183bf6b15a6b9eb54bfbd92bc5ectf78e9149d34

FW:SystemOptimization: ime switcher no showAdd logs to analyze issue. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-33340Change-Id:

#61 - 2023-08-08 19:19 - loT scm

Gerrit Merge Information]

1D Project

Branch

Uploader

301388 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

IOVDEV-38384Change-1d: 10c511e0c78¢1faf7391b337¢b99826e09f1b10c4

FW:SystemOptimization: ime no show(2)Add logs to analyze issue. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-37272

2025-07-04

15/26




#62 - 2023-08-10 14:02 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
302130 general/platform/development Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
-dev

FW:SystemOptimization: add packages black list for monkey. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-39378Change-1d:
19861856¢dc0107ca3745d314c6313ad0ce09518e

#63 - 2023-08-10 20:40 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader

302372 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: add inactive time checkTC-RID: 1201-0205101IssuelD: TS-R-DF-110710,I0VDEV-37783Change-1d:
112fb089d5e9c35df9030df4ald9edf02c53f2ea8(cherry picked from commit 081334c81941e5adf302632bbbb072fcch11fbal)

#64 - 2023-08-10 20:49 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader

302381 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-release_sorp

AF:SystemOptimization:Close NotificationManagerService DEBUG when build as userTC-RID: 1201-02051011ssuel D:
TS-R-DF-110710,I0VDEV-37652Change-Id: 11bde7752cdbc82202a47a3acfc272e9af1376686(cherry picked from commit
bc41bebc82a9d81d13f7bdc1b3fad58f7e3657211)

#65 - 2023-08-10 20:50 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader

302383 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: ime switcher no showAdd logs to analyze issue. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-33340Change-Id:
183bf6b15a6b9eb54bfbd92bc5ectff7869149d34(cherry picked from commit 762ae822ab503ae9hb67¢7¢1514935ded89c1chd0)

2025-07-04 16/26



#66 - 2023-08-10 20:51 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

302426

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: ime no show(2)Add logs to analyze issue. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-37272
I0VDEV-38384Change-Id: 10c511e0c78c1faf7391b337ch99826e09f1b10c4(cherry picked from commit 9d104ceefcb0801e13378b39d56fefh654c42dag)

#67 - 2023-08-14 18:51 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

302923

general/platform/development

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: add packages black list for monkey. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-39378Change-1d:
19861856¢cdc0107ca3745d314c6313ad0ce09518e(cherry picked from commit 3e26ed8878a7fa930abalefafb0fbe04f1646c68)

#68 - 2023-08-17 15:35 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

304072

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ca0qg0702@thundersoft.com

FW:SystemOptimization: ime no show logAdd logs to analyze issue. TC-RID: 1201
lab1d68c2b2b90799bc8e28deab93d06095e8al7e

-0205101IssuelD: TS-R-DF-110710, IOVDEV-38384Change-Id:

#69 - 2023-08-17 19:14 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

304163

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: ime no show logAdd logs to analyze issue. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-38384Change-Id:
1ab1d68c2b2h90799hc8e28deab93d06095e8al7e(cherry picked from commit 8645738099a1a181f21c70376ea7e76bac92f671)

2025-07-04

17/26




#70 - 2023-08-29 09:50 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
307205 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
-dev

FW:Stability: Add log to monitor free space and notificationTC-RID: 1201-0205101IssuelD: TS-R-DF-110710, IOVDEV-38824Change-Id:
133¢c1a69ch9f68241966614cfdcbacf275fb22938

#71 - 2023-08-31 18:22 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
308693 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

FW:SystemOptimization: Do not retain pre-installed game applications. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710, IOVDEV-40408Change-1d:
12d54bf88027daech74dd8499ac68665a01825082

#72 - 2023-08-31 23:55 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader

308772 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:Stability: Add log to monitor free space and notificationTC-RID: 1201-0205101IssuelD: TS-R-DF-110710, IOVDEV-38824Change-Id:
133¢1a69ch9f68241966614cfdcbacf275fb22938(cherry picked from commit c323e50a38cc0349320e19b3d1a561468d043666)

#73 - 2023-08-31 23:58 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader

308779 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: Do not retain pre-installed game applications. TC-RID: 1201-0205101lssuel D: TS-R-DF-110710, IOVDEV-40408Change-Id:
12d54bf88027daech74dd8499ac68665a01825082(cherry picked from commit 32edefe8c8a7eb023cfd9fa88d87¢c143f79c9d5e)

#74 - 2023-09-06 10:09 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

2025-07-04 18/26




309971 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com

-dev

FW:SystemOptimization: Adding time setting logsAdd logs to analyze issue. TC-RID: 1201-0205101lssuelD: TS-R-DF-110710, IOVDEV-40783Change-Id:
1b11decb4689312bce040ch164908c7€992c042a8

#75 - 2023-09-12 16:26 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
312009 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

FW:SystemOptimization: Task mechanism preserves the music application. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
136eac8cefd0b144d82df2b76209e23e2221996d2

#76 - 2023-09-13 18:31 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
312468 general/platform/packages/apps/Docu | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
mentsUI -dev

AF:DocumentsUl:Remove long-press tooltip event from the toolbar. TC-RID: 1201-0300801IssuelD: TS-R-DF-110710Change-1d:
17560220573ch0ed7a947b56a9520f29b2b16265¢

#77 - 2023-09-15 13:37 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
313022 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
-dev

AF:Music: add ggmusiccar to music app listTC-RID: 1201-03012011ssuelD: TS-R-DF-110710, IOVDEV-42438Change-Id:
16e0a37ed2962cdc2fecfa30ea22d61c1643e6f38

#78 - 2023-09-19 15:48 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
313787 general/platform/packages/apps/Docu | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
mentsUI -dev

2025-07-04 19/26




AF:DocumentsUI:bug analysis log appendthis log use for bug analysisTC-RID: 1201-0300801IssuelD: TS-R-DF-110710,I0VDEV-40758Change-1d:
18be4a62edc00cd30b52dfe25d2199280b621e5f4f

#79 - 2023-09-19 20:08 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
313920 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:Music: add kugou auto to music app listTC-RID: 1201-0301201lssuelD: TS-R-DF-110710, IOVDEV-42282Change-Id:
195397d69125662044908f1dcd725c83449174f54

#80 - 2023-09-21 18:04 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
314956 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:Theme: modify splash window background color and overview background colorTC-RID: 1201-0202101IssuelD: TS-R-DF-110710Change-1d:
1640f717650e793b7c8a3cadef2704dcchbcf6778

#81 - 2023-09-24 12:55 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

315586 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

AF:Theme: modify splash window background color and overview background colorTC-RID: 1201-0202101IssuelD: TS-R-DF-110710Change-1d:
1640f717650e793b7c8a3cadef2704dcchbefo778(cherry picked from commit f93964ca9c8a4989bal704669f14d3fa88750d1e)

#82 - 2023-09-25 19:16 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
315850 general/platform/packages/providers/ | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
MediaProvider -dev

AF:Document:the file with invalidate address will not show documentui appthe file with invalidate address will not show documentui appTC-RID:
1201-0300801lssuelD: TS-R-DF-110710,FIR-599Change-1d: 17ddcecc2c290da8a485930ach6d544d3ealabb4 7

2025-07-04 20/26



#83 - 2023-09-26 10:01 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

316001

general/platform/packages/providers/

MediaProvider

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Document:the file with invalidate address will not show documentui appthe file with invalidate address will not show documentui appTC-RID:
1201-0300801IssuelD: TS-R-DF-110710,FIR-599Change-Id: 1972559f95dbh46d283cf10df0a5add905fdb41188

#84 - 2023-09-26 15:28 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

316206

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

caoqg0702@thundersoft.com

AF:Music: add wangyiyun iot to music app listTC-RID: 1201-0301201IssuelD: TS-R-DF-110710, PVC1-3677Change-1d:
11b65acfc6335ff5h1708f94349e3acee8d905aef

#85 - 2023-10-07 11:25 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

317143

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: Adding time setting logsAdd logs to analyze issue. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710, IOVDEV-40783Change-Id:
1b11dech4689312bce040ch164908c7e992c042a8(cherry picked from commit ff0e7f83fe25113f45b12f48077e75a817266bd6)

#86 - 2023-10-07 16:54 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

317327

general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:DocumentsUl:Remove long-press tooltip event from the toolbar. TC-RID: 1201-0300801IssuelD: TS-R-DF-110710Change-Id:
17560220573ch0ed7a947b56a9520f29bh2b16265e(cherry picked from commit bce85¢50b3644012fead50be0c7d2d77b19b8h51)

2025-07-04

21/26




#87 - 2023-10-07 16:55 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
317330 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-release_sorp
AF:Music: add ggmusiccar to music app listTC-RID: 1201-0301201Issuel D: TS-R-DF-110710, IOVDEV-42438Change-Id:
16e0a37ed2962cdc2fecfa30ea22d61c1643e6f38(cherry picked from commit 3dd243ae15a2daf542b2707ff7913dd5f883c4d2)
#88 - 2023-10-07 16:57 - loT scm
Gerrit Merge Information(
1D Project Branch Uploader
317332 general/platform/packages/apps/Docu | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
mentsul -release_sorp

AF:DocumentsUl:bug analysis log appendthis log use for bug analysisTC-RID: 1201-0300801IssuelD: TS-R-DF-110710,I0VDEV-40758Change-1d:
18beda62edc00cd30b52dfe25d219928b621e5f4f(cherry picked from commit 911a64676008528fa2b021520327ee44739b0907)

#89 - 2023-10-07 16:59 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
317334 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-release_sorp

AF:Music: add kugou auto to music app listTC-RID: 1201-0301201IssuelD: TS-R-DF-110710, IOVDEV-42282Change-Id:
195397d69125662044908f1dcd725c83449174f54(cherry picked from commit 8ff27b44f037768611396e949852d60bfa2a8529)

#90 - 2023-10-07 17:07 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
317341 general/platform/packages/providers/ | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
MediaProvider -release_sorp

AF:Document:the file with invalidate address will not show documentui appthe file with invalidate address will not show documentui appTC-RID:

1201-0300801IssuelD: TS-R-DF-110710,FIR-599Change-1d: 17ddcecc2c290da8a485930ach6d544d3ealabb47(cherry picked from commit
b51d7c49c3ch056¢f8dea05017e8a36ebde70f8d)
#91 - 2023-10-07 17:07 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
317342 general/platform/packages/providers/ | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
MediaProvider -release_sorp

AF:Document:the file with invalidate address will not show documentui appthe file with invalidate address will not show documentui appTC-RID:
1201-0300801Issuel D: TS-R-DF-110710,FIR-599Change-1d: 1972559f95db46d283cf10df0a5add905fdb41188(cherry picked from commit
424d5ebd432h78db881b3ef38f025a23538bbe0b)

#92 - 2023-10-07 17:09 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader

317344 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com

-release_sorp

AF:Music: add wangyiyun iot to music app listTC-RID: 1201-0301201IssuelD: TS-R-DF-110710, PVC1-3677Change-1d:
11b65acfc6335ff5b1708f94349e3acee8d905aef(cherry picked from commit bc9816b534761b0f51c6a39591c428d85¢157699)

#93 - 2023-10-09 18:53 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
317867 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:Theme: Adapt the style of the picture-in-picture exit button. TC-RID: 1201-0202101lssuel D: TS-R-DF-110710, IOVDEV-45433Change-Id:
1737a0b01744806584d56a2951a4490df38ddc360

#94 - 2023-10-16 14:35 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
319616 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:Theme: modify splash window background color and overview background color for MCETC-RID: 1201-0202101IssuelD: TS-R-DF-110710Change-Id:
1a229578dcb8e1f8f9084f878e986354cf312abcl
#95 - 2023-10-16 15:18 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader

319116 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:Theme: Adapt the style of the picture-in-picture exit button.TC-RID: 1201-0202101lssuel D: TS-R-DF-110710, IOVDEV-45433Change-Id:
1737a0b01744806584d56a2951a4490df38ddc360(cherry picked from commit 9e6b10afebaf6933f949c0250d548dc3bal19844)

#96 - 2023-10-17 18:06 - loT scm
Gerrit Merge Information(

1D Project Branch Uploader
320132 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

FW:SystemOptimization: Manually close unresponsive dialog. TC-RID: 1201-02051011ssuelD: TS-R-DF-110710Change-1d:
16fe0871d5bb5fcbb6b7f1fe0ae09023637a4ea3?

#97 - 2023-10-26 22:04 - [oT scm

Gerrit Merge Information(]

1D Project Branch Uploader

323031 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-release_sorp

FW:SystemOptimization: Task mechanism preserves the music application. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
136eac8cefd0b144d82df2b76209e23e2a21996d2(cherry picked from commit 5aca30d09adf1673ch5c61fdd1e9e08ce2037499)

#98 - 2023-10-27 01:39 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader

323293 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:Theme: modify splash window background color and overview background color for MCETC-RID: 1201-0202101IssuelD: TS-R-DF-110710Change-Id:
1a229578dch8e1f8f9084878e986354cf312abcl(cherry picked from commit eddf933aa8c5ec88dc29h924746ba8eb987796f9)

#99 - 2023-10-27 01:44 - 10T scm

Gerrit Merge Information(]

2025-07-04 24126



1D

Project

Branch

Uploader

323300

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: Manually close unresponsive dialog. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710Change-1d:
16fe0871d5bb5fchb6bh7f1fe0ae09023637a4ea37(cherry picked from commit Occ4879ee4f699e6596ec5d0ffc92e40a030e20a)

#100 - 2023-11-02 16:01 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

325087

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: The car-mounted device does not have a battery and is assumed to be fully charged by default. TC-RID: 1201-0205101IssuelD:
TS-R-DF-110710Change-1d: 1850573be7842b56h68e71fe7a143e007788f48f3

#101 - 2023-11-03 17:41 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

325517

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: The car-mounted device does not have a battery and is assumed to be fully charged by default. TC-RID: 1201-0205101IssuelD:
TS-R-DF-110710Change-Id: 1850573be7842b56b68e71fe7a143e007788f48f3(cherry picked from commit a6b906259214b0ec142208006521b44e5d42628)

#102 - 2023-12-11 16:34 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

335034

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

FW:SystemOptimization: Optimize non system task remove logical. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710, IOVDEV-50629Change-1d:
1h222abf9f1a6c717369a51a7d790705e27e6fel3

#103 - 2023-12-11 17:58 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

335001

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04
FW:SystemOptimization: Optimize non system task remove logical. TC-RID: 1201-0205101IssuelD: TS-R-DF-110710, IOVDEV-50629Change-1d:
1h222abf9f1a6c717369a51a7d790705e27e6fel3(cherry picked from commit 2deaf80f21b827e18ce6ed21b43ce828c9c5163d)

#104 - 2023-12-14 11:31 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
336125 general/platform/development Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
-dev

FW:SystemOptimization: Add special packages to monkey black list. TC-RID: 1201-02051011ssuelD: TS-R-DF-110710Change-Id:
15b174b8a1484e9b69df436315e083c204a99e36¢

#105 - 2023-12-15 14:23 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader

336607 general/platform/development Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

FW:SystemOptimization: Add special packages to monkey black list. TC-RID: 1201-0205101Issuel D: TS-R-DF-110710Change-Id:
15b174b8a1484e9b69df436315e083c204a99e36¢(cherry picked from commit 9fb57151957db1d24c9c1f26bd64236be9470abc)

2025-07-04

26/26




